# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['tesco']

package_data = \
{'': ['*']}

install_requires = \
['requests>=2.23.0,<3.0.0']

setup_kwargs = {
    'name': 'tesco',
    'version': '1.0.0',
    'description': '',
    'long_description': '# Tesco\n\n A Python wrapper for the Tesco API\n\n## Installation\n\n`pip install tesco`\n\n## Usage\n\n```python\nfrom tesco import Tesco\nfrom pprint import pprint\n\nt = Tesco("API KEY")\nresults = t.grocery_search("cake", offset=0, limit=100)\n\ninfo = t.product_data(tpnc=results[0]["id"])\n\npprint(info)\n```\n\n```python\n[{\'allergenAdvice\': {\'allergenText\': \'May contain milk and  peanuts and \'\n                                     \'nuts.For allergens, including cereals \'\n                                     \'containing gluten, see ingredients in \'\n                                     \'bold. \\n\',\n                     \'allergens\': [{\'allergenName\': \'Contains\',\n                                    \'allergenValues\': [\'May contain milk\',\n                                                       \'peanuts\',\n                                                       \'nuts.\']}]},\n  \'brand\': \'TESCO\',\n  \'calcNutrition\': {\'calcNutrients\': [{\'name\': \'Energy (kJ)\',\n                                       \'valuePer100\': \'1624\',\n                                       \'valuePerServing\': \'556\'},\n                                      {\'name\': \'Energy (kcal)\',\n                                       \'valuePer100\': \'387\',\n                                       \'valuePerServing\': \'132\'},\n                                      {\'name\': \'Fat (g)\',\n                                       \'valuePer100\': \'14.8\',\n                                       \'valuePerServing\': \'5.1\'},\n                                      {\'name\': \'Saturates (g)\',\n                                       \'valuePer100\': \'4.8\',\n                                       \'valuePerServing\': \'1.6\'},\n                                      {\'name\': \'Carbohydrate (g)\',\n                                       \'valuePer100\': \'57.8\',\n                                       \'valuePerServing\': \'19.8\'},\n                                      {\'name\': \'Sugars (g)\',\n                                       \'valuePer100\': \'34.6\',\n                                       \'valuePerServing\': \'11.9\'},\n                                      {\'name\': \'Fibre (g)\',\n                                       \'valuePer100\': \'1.1\',\n                                       \'valuePerServing\': \'0.4\'},\n                                      {\'name\': \'Protein (g)\',\n                                       \'valuePer100\': \'5\',\n                                       \'valuePerServing\': \'1.7\'},\n                                      {\'name\': \'Salt (g)\',\n                                       \'valuePer100\': \'0.6\',\n                                       \'valuePerServing\': \'0.2\'}],\n                    \'per100Header\': \'Per 100g / Per 100ml\',\n                    \'perServingHeader\': \'A serving contains\'},\n  \'description\': \'Tesco Angel Layer Cake Each\',\n  \'gda\': {\'gdaRefs\': [{\'footers\': [\'of the reference intake*\',\n                                   \'Typical values per 100g: Energy 1624kJ / \'\n                                   \'387kcal\'],\n                       \'gdaDescription\': \'Guideline Amounts Per Serv\',\n                       \'headers\': [\'1/8 of a cake (34g)\'],\n                       \'values\': [{\'name\': \'Energy\',\n                                   \'percent\': \'7\',\n                                   \'values\': [\'556kJ\', \'132kcal\']},\n                                  {\'name\': \'Fat\',\n                                   \'percent\': \'7\',\n                                   \'rating\': \'medium\',\n                                   \'values\': [\'5.1g\']},\n                                  {\'name\': \'Saturates\',\n                                   \'percent\': \'8\',\n                                   \'rating\': \'medium\',\n                                   \'values\': [\'1.6g\']},\n                                  {\'name\': \'Sugars\',\n                                   \'percent\': \'13\',\n                                   \'rating\': \'high\',\n                                   \'values\': [\'11.9g\']},\n                                  {\'name\': \'Salt\',\n                                   \'percent\': \'3\',\n                                   \'rating\': \'medium\',\n                                   \'values\': [\'0.2g\']}]}]},\n  \'gtin\': \'05000119153739\',\n  \'ingredients\': [\'<p><strong>INGREDIENTS LIST:</strong><br><br>Sugar\',\n                  \'Wheat Flour (<strong>Wheat</strong> Flour, Calcium \'\n                  \'Carbonate, Iron, Niacin, Thiamin), Pasteurised \'\n                  \'<strong>Egg</strong> White, Vanilla Flavour Filling (11%), \'\n                  \'Palm Oil, Rapeseed Oil, Humectant (Glycerine), Raising \'\n                  \'Agents (Disodium Diphosphate, Sodium Bicarbonate), \'\n                  \'Emulsifier (Mono- and Di-Glycerides of Fatty Acids), \'\n                  \'Preservative (Potassium Sorbate), Salt, Colours (Carmines, \'\n                  \'Carotenes).<br><br>Vanilla Flavour Filling contains: Sugar, \'\n                  \'Palm Oil, Rapeseed Oil, Glucose Syrup, Rice Starch, \'\n                  \'Emulsifier (Mono- and Di-Glycerides of Fatty Acids), \'\n                  \'Flavouring, Acidity Regulator (Citric Acid), Colour (Plain \'\n                  \'Caramel).</p>\'],\n  \'marketingText\': \'Teatime classic Layered sponge with vanilla flavour \'\n                   \'filling for a light, delicate cake\\n\'\n                   \'Teatime classic Layered sponge with vanilla flavour \'\n                   \'filling for a light, delicate cake\',\n  \'pkgDimensions\': [{\'depth\': 5.2,\n                     \'dimensionUom\': \'cm\',\n                     \'height\': 7.0,\n                     \'no\': 1,\n                     \'volume\': 666.12,\n                     \'volumeUom\': \'cc\',\n                     \'weight\': 278.0,\n                     \'weightUom\': \'g\',\n                     \'width\': 18.3}],\n  \'productAttributes\': [],\n  \'productCharacteristics\': {\'containsLoperamide\': False,\n                             \'healthScore\': 38,\n                             \'isAnalgesic\': False,\n                             \'isDrink\': False,\n                             \'isFood\': True,\n                             \'isHazardous\': False,\n                             \'storageType\': \'Ambient\'},\n  \'qtyContents\': {\'netContents\': \'1\',\n                  \'numberOfUnits\': \'1\',\n                  \'quantity\': 1.0,\n                  \'quantityUom\': \'SNGL\',\n                  \'unitQty\': \'EACH\'},\n  \'storage\': [\'Not suitable for home freezing. \\n\'\n              \'Store in a cool, dry place and once opened in an airtight \'\n              \'container.\\n\'\n              \'    \'],\n  \'tpnb\': \'050556274\',\n  \'tpnc\': \'254946995\'}]\n  ```\n',
    'author': 'Miles Budden',
    'author_email': 'miles@budden.net',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/pbexe/tesco',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.7,<4.0',
}


setup(**setup_kwargs)
